/* main.css */

/* These are the colors and fonts used throughout the webpage.
 * I've listed them here so that a user may easily
 * do a search-and-replace for these to change the site theme.
 *   'Roboto',sans-serif; Font for the title text
 *   'Roboto-Slab',serif; Font for the body text 
 *   #fafafa; Background color of the site
 *   #505050; Foreground (text) color of the site
 *   #52739e; Navy, "Template" in the logo, current page in navigation, special titles in the Program
 *   #b2132e; Reddish, "Conference" in the logo, hover color for links
 *   #813c54; Heading color, titles in the Program
 *   #b8860b; Dark Goldenrod, color for links
 */

@import url('https://fonts.googleapis.com/css?family=Roboto%7CRoboto+Slab');

*{
    border:0;
    font:inherit;
    font-size:1em;
    margin:0;
    padding:0;
    vertical-align:baseline;
}

body{
    background-color: #ffffff;
    background-size: cover;
    background-attachment: fixed;
    color: #505050; 
    text-align:left;
    font-family:'Roboto',sans-serif;
    font-size:1em;
    line-height:1.5em;
    margin: 40px auto;
    width: 1000px;
}

a{color: #8C7BC0; text-decoration:none;}
a.current{color: #8C7BC0; border-bottom: 3px #8C7BC0 solid;}
a.current:hover{color: #E82B88; border-bottom: 3px #E82B88 solid;}
a:hover{color: #E82B88;}
a:active{color: #e82945;}
h1,h2,h3,h4{clear:left; color: #8C7BC0; margin:1.5em 0em 1em 0em; font-family:'Roboto',serif;}
h1{font-size:2.67em;}
h2{font-size:1.7em; text-shadow: 0.5px 0.5px 1px #8C7BC0;}
h3{font-size:1.67em;}
h4{font-size:1.2em; color: #f57cb8;}
p {list-style:none; margin:24px auto 24px auto; padding:0px; width:900px; text-align:justify; font-family:'Roboto',sans-serif;}
.div-participant-info {list-style:none; margin:24px auto 24px auto; padding:0px; width:900px; text-align:left; font-family:'Roboto',sans-serif;}
.a-participant-info{color: #505050}
.certificate-thumbnail {margin-left: 30px; max-width:200px; height:auto;}
.badge-thumbnail {margin-left: 70px; max-width:100px; height:auto;}
.frame-maps {display: flex; justify-content: center; width: 100%;}
.session-number{margin-top: 25px; font-size: 1.2em; font-weight: bold; text-align: center; color: #8C7BC0; border-bottom: 2px solid #8C7BC0;}
.communication-item{margin-bottom: 15px;}
.com-document a {font-size:1em; font-weight: bold; color: black;}
.com-document a:hover {color: #8C7BC0}
li a, p a {text-decoration:underline; text-decoration-color:#b8860b;}
ul{ margin:24px auto 24px auto; padding:0px; width:800px; text-align:left;}
ul li{margin:0px auto 0px auto; text-align:left; padding: 2px;}
i,em{font-style:italic;}
b,strong{font-weight:bold;}
sup{
    vertical-align: super;
    font-size: 0.8em;
    line-height: 0;
}
sub{
    vertical-align: sub;
    font-size: 0.8em;
    line-height: 0;
}
table{
    width: 1000px;
    margin: 12px auto 24px auto;
    float: center;
    /* UNCOMMENT THIS FOR DEBUGGING THE ALIGNMENT */
    /*border: 1px solid black;*/
}
th,td{
    text-align: left;
    /* UNCOMMENT THIS FOR DEBUGGING THE ALIGNMENT */
    /*border: 1px solid black;*/
}

/* Website Banner */
.banner {position: relative; font-family:'Roboto',serif;}
.top-left {font-size:2em; color: #505050; background: #ffffff; text-align: center; width: 1000px; height: 115px; position: absolute; padding: 16px 0 0 0; top: 0px;}
.bottom-right {font-size:2em; color: #ffffff; font-weight: bold; line-height: 1.2em; width: auto; height: 100px; padding: 0px 27px 27px 0px; text-align: right; position: absolute; bottom: 0px; right: 0px; text-shadow: 0px 0px 6px #000000;}

/* Conference Title Logo */
.title1{color: #7E3A8F; padding-bottom: 20px; font-weight: bold;}
.title2{color: #8C7BC0; padding-bottom: 10px;  line-height: 1.1em; font-size:0.8em;}
.year{color: #505050; font-weight: lighter;}
.theme-conf{margin:24px auto auto 48px; padding:0px; font-size:1.1em; font-weight: bold;}
.bold-text{font-weight: bold;}
.star{color:#E82B88FF;}
.error-message{
    color: #e82945;
}
.download-msg{color: red; font-size: 0.7em}
form {margin:24px auto 24px auto; padding:0px; width:900px;}
.form-label, .form-label2{display:block; margin: 25px 0 5px 0;}
.choice-title{margin: 25px 0 5px 0;}
.form-input{display:block; width: 70%; border-radius: 0.375em; border-width: 1px; border-style: solid; border-color: #8C7BC0; padding: 0.5em;}
.form-button{min-width: 80px; min-height: 40px; margin: 25px 0 5px 0; background-color: #8C7BC0; color: #ffffff; border-radius: 0.375em; cursor:pointer;}

/* Navigation Links (Home, Registration, etc) */
table.navigation{width:800px;}
td.navigation{font-size:1.67em; white-space:nowrap; width:20%; text-align:center; vertical-align:middle; padding:0px 0px 0px 0px;}

/* Sponsor Images */
.partenaires{width:1000px;}
.partenaires img{width: 100%}

/* The Table on the Program Page */
td.room{padding: 4px 12px 4px 4px; width: 90%; vertical-align:bottom; font-size:1.67em; color: #52739e; height:32px;}
td.date{white-space:nowrap; width:130px; text-align:right; vertical-align:top; padding:4px 16px 0px 0px;}
td.title{padding: 4px 12px 4px 4px; width: 90%; vertical-align:top; font-size:1.5em; color: #813c54; height:32px; font-family:'Roboto Slab',serif; text-shadow: 1px 1px 2px #d0d0d0; }
td.title-special{padding: 4px 12px 4px 4px; width: 90%; vertical-align:top; font-size:1.67em; color: #52739e; height:32px; font-family:'Roboto Slab',serif; text-shadow: 1px 1px 2px #d0d0d0;}
td.speaker{padding: 4px 12px 4px 4px; font-style: italic; font-size:1em; max-height:999999px}
td.abstract{padding: 4px 12px 12px 4px; font-size:1em; max-height:999999px}
td.abstract img{display: block; margin: 4px auto 8px auto}
table.plenary{padding-top: 8px; background: #ffffff;}

/* Registration and Directions iframes and Images */
iframe.registration{display:block; margin:1em auto 2em auto; width:700px; height:1400px; border:none;}
iframe.directions{display:block; margin:1em auto 2em auto; width:800px; height:400px; border:none;}
img.center{display:block; width:67%; margin:1em auto 2em auto;}

/* Flyer Images */
table.flyers{width:800px;}
td.flyer{white-space:nowrap; width:50%; text-align:center; vertical-align:middle; padding:0px 0px 0px 0px;}
td.sponsor img{width: 50%}

footer{font-size:0.875em; margin-top:12em; text-align:center;}

/* My hacky way of making the site mobile-friendly */
@media only screen and (max-width: 1100px) {
    h2{font-size:1.7em; margin-left: 10px;}
    h4{font-size:0.9em; margin-left: 10px;}
    p {font-size: 1em; line-height:1.5em;}
    .program_p {font-size: 1.2em;}
    .div-participant-info{font-size:1em; line-height:1.5em;}
    .h2-participant-info {font-size:2.3em; margin-left: 10px;}
    .h4-participant-info{font-size:1.5em; margin-left: 10px;}
    .a-participant-info{font-size:0.8em;}
    .communication-item{margin: 0px 24px 15px 24px;}
    .com-document a {font-size:0.8em;}
    .com-authors {font-size:0.8em;}
    ul li{font-size:1.3em; line-height:1.5em; padding: 5px;}
    th,td,tr{font-size:1.5em; line-height:1.5em;}
    td.date{font-size:1em; padding-top:0.5em;}
    td.navigation{font-size:1.5em; padding:0px 20px 0px 20px;}
    table.footer{font-size:0.33em;}
    .theme-conf{font-size:0.8em;}
    .form-input{font-size: 2.50em; width: 90%;}
    .form-label{font-size: 2.50em; padding: 25px 0 15px 0;}
    .form-checkbox{width: 2.5em; height: 2.5em; margin: 15px;}
    .form-button{width: 5em; height: 2.5em; font-size: 2.5em}
    label {font-size: 2.50em; padding: 20px}
    .choice-title{font-size: 2.3em; padding: 10px 0;}
}

